<!DOCTYPE html>
<html{{ html_attributes }}>

  {% set currentPage = url('<current>')['#markup']|split('/')|last %}
  <head>
    {% if meta_keywords %}
    <meta name="keywords" content="{{ meta_keywords }}" />
    {% else %}
    <meta name="keywords" content="Sahabat Nestle, Sahabat Rewards, Nestle Rewards, Point Rewards Nestle, Tukar Poin Nestle, Redeem Point Nestle, Kode Unik Nestle, Poin Belanja Nestle, Hadiah untuk si kecil, Voucher Alfamart, Voucher Indomaret, Voucher ELC, Voucher KiddyCuts, Voucher Isi Pulsa, Voucher MAP, Voucher Mom n Jo, Voucher Sodexo, Voucher Shell">
    {% endif %}

    <title>{{ head_title|safe_join(' | ') }}</title>

    <meta name="robots" content="index, follow">
    <meta name="google-site-verification" content="Vsjpyb62PaZl2iAJWhYOUiPw9pLmaSg2oLyh2kzx09w" />
    <meta name="facebook-domain-verification" content="rf01wjzsjle50ooycwapnok6tz8513" />
    <meta property="og:site_name" content="Grow Happy Club">
    <meta property="og:title" content="Kumpulkan Poinnya &amp; Tukarkan Hadiahnya">
    <meta property="og:url" content="https://growhappy.co.id">
    <meta property="og:image" content="{{ og_image }}">
    <link rel="preconnect" href="https://cdn.statically.io" crossorigin>
    {# See: https://developer.mozilla.org/en-US/docs/Web/Performance/dns-prefetch #}
    <link rel="dns-prefetch" href="https://cdn.statically.io">
    <link rel="dns-prefetch" href="https://cdns.us1.gigya.com">
    <link rel="dns-prefetch" href="https://brand-ecommerce-assets.fusepump.com">
    <link rel="dns-prefetch" href="https://cs20-thenest.my.salesforce.com">
    <link rel="dns-prefetch" href="https://cdn-akamai.mookie1.com">
    <link rel="dns-prefetch" href="https://www.googletagmanager.com">
    <link rel="dns-prefetch" href="https://www.googleadservices.com">
    <link rel="dns-prefetch" href="https://c.evidon.com">
    {% if is_front %}
    <meta charset="utf-8" />
    <link rel="canonical" href="{{ url('<front>') }}" />
    <link rel="shortlink" href="{{ url('<front>') }}" />
    <meta name="description" content="Dukung Si Kecil Grow happy dengan Lactogrow. Susu bubuk dengan inulin untuk dukung pencernaan Si Kecil. Temukan produk susu Nestle Lactogrow di sini." />
    <meta name="MobileOptimized" content="width" />
    <meta name="HandheldFriendly" content="true" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="shortcut icon" href="{{ url('<front>') }}core/misc/favicon.ico" type="image/vnd.microsoft.icon" />
    <link rel="stylesheet" media="all" href="{{ url('<front>') }}themes/growhappytheme/assets/styles/main.pack.css?v=1.1.2" />
    {% else %}
    <head-placeholder token="{{ placeholder_token|raw }}">
    <css-placeholder token="{{ placeholder_token|raw }}">
    <link rel="stylesheet" href="{{ url('<front>') }}themes/growhappytheme/assets/styles/fonts.pack.css">
    <js-placeholder token="{{ placeholder_token|raw }}">
    {% endif %}
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    {% if (currentPage  == 'profile') or (currentPage  == 'profile-edit') or (currentPage  == 'join') or (currentPage  == 'login') %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css">
    {% endif %}
  </head>

            <body class="hold-transition skin-blue sidebar-mini" style="background-image: url('{{ url('<front>') }}themes/growhappytheme/assets/images/placeholder.png');" data-bg="{{ url('<front>') }}themes/growhappytheme/assets/images/bg.svg">
              <!-- Google Tag Manager (noscript) -->
              <noscript><iframe src="//www.googletagmanager.com/ns.html?id=GTM-TNZFKP" height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
              <!-- End Google Tag Manager (noscript) -->

              <script>
                window.dataLayer = window.dataLayer || [];
                dataLayer.push({
                  'userInformation': {
                    'gaClientID': 'UA-70020149-1'
                  }
                });
              </script>
              {% if currentPage  == 'login' %}
                <script>
                  window.dataLayer = window.dataLayer || [];

                  dataLayer.push({
                    'siteInformation': {
                      'conversionPageType': 'LogInPageReached'
                    }
                  });
                </script>
              {% elseif currentPage  == 'success-activation' %}
                <script>
                  window.dataLayer = window.dataLayer || [];

                  dataLayer.push({
                    'siteInformation': {
                      'conversionPageType': 'signUpConfirmation'
                    }
                  });
                </script>
              {% endif %}


              {{ page }}

              <div id="deferred"></div>
              {% if is_front %}
                <script defer src="{{ url('<front>') }}themes/growhappytheme/assets/scripts/main.pack.js?v=1.1.2"></script>
                <script defer src="{{ url('<front>') }}themes/growhappytheme/assets/scripts/defer-home.pack.js?v=1.1.2"></script>
              {% else %}
                <js-bottom-placeholder token="{{ placeholder_token|raw }}">
                <script defer src="{{ url('<front>') }}themes/growhappytheme/src/scripts/defer.pack.js"></script>
                <script defer src="https://brand-ecommerce-assets.fusepump.com/bootstraper/bootstraper.js"></script>
                <script defer src="https://cdn-akamai.mookie1.com/LB/LightningBolt.js"></script>
              {% endif %}

              <apex:page>
                <style type="text/css">
                  .embeddedServiceHelpButton .helpButton .uiButton {
                    background-color: #013CA6;
                    font-family: "Arial", sans-serif;
                  }

                  .embeddedServiceHelpButton .helpButton .uiButton:focus {
                    outline: 1px solid #013CA6;
                  }

                  .embeddedServiceSidebarHeader .fade.fade-4x {
                    display: none ! important;
                  }

                  .embeddedServiceHelpButton .uiButton .helpButtonLabel>* {
                    pointer-events: none;
                  }

                  .embeddedServiceHelpButton .uiButton .helpButtonLabel .message {
                    overflow: visible !important;
                  }

                  .helpButtonLabel .message {
                    border: none ! important;
                    background-color: #FFE72D;
                    color: #fff;
                    font-weight: bold;
                  }

                  .embeddedServiceLiveAgentStateChatHeader:not(.alert) .message {
                    display: none !important;
                  }

                  .embeddedServiceHelpButton .helpButton .uiButton {
                    font-size: 1.2em;
                  }

                  button#acceptInvite {
                    background: none;
                  }

                  .embeddedServiceHelpButton .helpButton .helpButtonEnabled {
                    background-color: #013CA6 !important;

                  }

                  .embeddedServiceHelpButton .helpButton .helpButtonEnabled .helpButtonLabel .message {
                    background-color: #013CA6;
                    color: #FFF !important;
                  }

                  .embeddedServiceHelpButton .helpButton .helpButtonDisabled {
                    background-color: #DED5D5 !important;
                    color: #FFF;
                  }

                  .helpButtonDisabled .helpButtonLabel .message {
                    background-color: #DED5D5 !important;
                  }

                  .embeddedServiceHelpButton .helpButton {
                    right: 50px;
                  }

                  .embeddedServiceSidebar.modalContainer {
                    z-index: 9999999 !important;
                  }

                  .embeddedServiceLiveAgentStateWaiting .loadingBall {
                    background-color: #DED5D5 !important;
                  }

                  .embeddedServiceSidebarHeader .headerTextContent {
                    font-size: 1.5em !important;
                  }

                  .embeddedServiceLiveAgentStateChatHeader .content {
                    background: none !important;
                  }

                  .embeddedServiceLiveAgentStateWaitingHeader .content {
                    background-image: none !important;
                  }
                </style>
                <script type='text/javascript'>
                  function generateCustomChatKey() {
                    return Math.floor(Math.random() * 100000) + ' ' + new Date().getTime();
                  }
                  var custChatKey = generateCustomChatKey();
                  var initESW = function(gslbBaseURL) {
                    embedded_svc.settings.displayHelpButton = true;
                    embedded_svc.settings.language = 'in';
                    embedded_svc.settings.defaultMinimizedText = 'Live Chat'; //(Defaults to Chat with an Expert)
                    embedded_svc.settings.disabledMinimizedText = 'Offline'; //(Defaults to Agent Offline)
                    embedded_svc.settings.enabledFeatures = ['LiveAgent'];
                    embedded_svc.settings.entryFeature = 'LiveAgent';
                    embedded_svc.settings.extraPrechatInfo = [

                      {

                        "entityName": "Case",
                        "showOnCreate": true,
                        "saveToTranscript": "Case",
                        "entityFieldMaps":

                          [{
                              "isExactMatch": true,
                              "fieldName": "Status",
                              "doCreate": true,
                              "doFind": false,
                              "label": "Status"
                            },
                            {
                              "isExactMatch": true,
                              "fieldName": "Language__c",
                              "doCreate": true,
                              "doFind": false,
                              "label": "Language"
                            },
                            {
                              "isExactMatch": true,
                              "fieldName": "Country__c",
                              "doCreate": true,
                              "doFind": false,
                              "label": "Country"
                            },
                            {
                              "isExactMatch": true,
                              "fieldName": "LiveChatWebsiteUrl__c",
                              "doCreate": true,
                              "doFind": false,
                              "label": "ChatWebsiteUrL"
                            },
                            {
                              "isExactMatch": true,
                              "fieldName": "LiveChatButtonID__c",
                              "doCreate": true,
                              "doFind": false,
                              "label": "Chat Button"
                            },
                            {
                              "isExactMatch": true,
                              "fieldName": "CustomChatKey__c",
                              "doCreate": true,
                              "doFind": false,
                              "label": "Custom Chat Key"
                            },
                            {
                              "isExactMatch": true,
                              "fieldName": "ContactEmail",
                              "doCreate": true,
                              "doFind": true,
                              "label": "Contact Email"
                            },
                            {
                              "isExactMatch": true,
                              "fieldName": "W2C_Consumer_Contact_Origin__c",
                              "doCreate": true,
                              "doFind": false,
                              "label": "W2C Consumer Contact Origin"
                            },
                            {
                              "isExactMatch": true,
                              "fieldName": "Contact_Way_Autocomplete__c",
                              "doCreate": true,
                              "doFind": false,
                              "label": "Contact Way"
                            },

                          ]

                      }
                    ];
                    /*** SET FORM FIELD VALUE ***/

                    embedded_svc.settings.extraPrechatFormDetails = [{
                        "label": "ChatWebsiteUrL",
                        "value": "https://www.growhappy.co.id",
                        "transcriptFields": [],
                        "displayToAgent": false
                      },
                      {
                        "label": "Country",
                        "value": "Indonesia",
                        "transcriptFields": [],
                        "displayToAgent": false
                      },
                      {
                        "label": "Language",
                        "value": "Indonesian",
                        "transcriptFields": [],
                        "displayToAgent": false
                      },
                      {
                        "label": "Contact Way",
                        "value": "Snap-ins Chat",
                        "transcriptFields": [],
                        "displayToAgent": false
                      },
                      {
                        "label": "Custom Chat Key",
                        "value": custChatKey,
                        "transcriptFields": [],
                        "displayToAgent": false
                      },
                      {
                        "label": "Chat Button",
                        "value": "5730N0000004YOk",
                        "transcriptFields": [],
                        "displayToAgent": false
                      },
                    ]

                    embedded_svc.init(
                      'https://cs20-thenest.my.salesforce.com',
                      'https://n1866.secure.force.com/SnapinSiteURL',
                      gslbBaseURL,
                      '00Db0000000XzoK',
                      'ENGAGE_SNAPINS_ID_LACTOGROW', {
                        baseLiveAgentContentURL: 'https://c.la1-c1-frf.salesforceliveagent.com/content',
                        deploymentId: '5720N0000004Y6j',
                        buttonId: '5730N0000004YOk',
                        baseLiveAgentURL: 'https://d.la1-c1-frf.salesforceliveagent.com/chat',
                        eswLiveAgentDevName: 'EmbeddedServiceLiveAgent_Parent04I0N000000GncaUAC_1700ee7745d',
                        isOfflineSupportEnabled: false
                      }
                    );
                  };

                  if (!window.embedded_svc) {
                    var s = document.createElement('script');
                    s.setAttribute('src', 'https://cs20-thenest.my.salesforce.com/embeddedservice/5.0/esw.min.js');
                    s.onload = function() {
                      initESW(null);

                      document.addEventListener('click', function(event) {
                        if (event.target.matches('.helpButtonLabel') || event.target.matches('.embeddedServiceIcon') || event.target.matches('.uiButton')) {
                          dataLayer.push({
                            'event': 'customEvent',
                            'eventCategory': 'Live Chat',
                            'eventAction': 'Click',
                            'eventLabel': window.location.href
                          });
                          console.log(dataLayer, 'live chat clicked');
                        }

                      }, false);
                    };
                    document.body.appendChild(s);
                  } else {
                    initESW('https://service.force.com');
                  }
                </script>
              </apex:page>

            {% if (currentPage  == 'profile') or (currentPage  == 'profile-edit') or (currentPage  == 'join') or (currentPage  == 'login') %}
              <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
            {% endif %}
            </body>
</html>
